local addonName, addon = ...

local frame = CreateFrame("Frame")
frame:RegisterEvent("ADDON_LOADED")

local function OnEvent(_, event, ...)
    if (event == "ADDON_LOADED" and select(1, ...) == addonName) then
        local varPrefix = string.gsub(addonName, "-", "_")
        local characterSavedVarsName = varPrefix .. "_Character"
        local accountSavedVarsName = varPrefix .. "_Account"
        _G[characterSavedVarsName] = _G[characterSavedVarsName] or {}
        _G[accountSavedVarsName] = _G[accountSavedVarsName] or {}

        addon.savedVariables = {
            character = _G[characterSavedVarsName],
            account = _G[accountSavedVarsName]
        }
        addon.savedVariables.character.preferences = addon.savedVariables.character.preferences or {}
        frame:UnregisterEvent("ADDON_LOADED")
    end
end

frame:SetScript("OnEvent", OnEvent)
